info:
  name: Contratto (IRIS GW)
  type: http
  seq: 3

http:
  method: GET
  url: "{{IdemApiUrl}}/contratto_fastsearch_ap.php?cod_con=LONG_S_25_SERV_CON_POLIMI_01"
  params:
    - name: cod_con
      value: BOLP_R_25_ACC_ACC_RER_01
      type: query
      description: Codice contratto esistente su IRIS
      disabled: true
    - name: cod_con
      value: DELM_N_25_CRCT_RA_BAUMER_01
      type: query
      disabled: true
    - name: cod_con
      value: CASS_D_25_CCS_IST_RAS_ARMPUMP_01
      type: query
      disabled: true
    - name: cod_con
      value: NICC_G_25_CRCT_RAS_01
      type: query
      disabled: true
    - name: cod_con
      value: ANEL_G_25_CONV_QUA_ORFECT_01
      type: query
      disabled: true
    - name: cod_con
      value: VIGN_G_25_CCS_COM_RA_FMT_01
      type: query
      disabled: true
    - name: cod_con
      value: BETT_S_25_CRCT_RA_CHIESI_01
      type: query
      disabled: true
    - name: cod_con
      value: BETT_R_25_CRCT_RA_BRACCO_01
      type: query
      disabled: true
    - name: cod_con
      value: BUSC_A_25_CRCT_RA_IRENAMBIENTE_01
      type: query
      description: Contratto con Centro come main role + Dipartimento come other
      disabled: true
    - name: cod_con
      value: MALC_A_25_CONV_QUA_NEXT_01
      type: query
      description: Contratto con Dipartimento come main role + Centro come other
      disabled: true
    - name: cod_con
      value: ARCE_V_24_CRCT_RA_01
      type: query
      disabled: true
    - name: cod_con
      value: BOLP_R_24_CCS_IST_RA_AIPO_01
      type: query
      disabled: true
    - name: cod_con
      value: VIGN_G_25_CCS_IST_RA_FMTPOMPACALORIE_01
      type: query
      disabled: true
    - name: cod_con
      value: PAIN_A_25_CONV_QUA_01
      type: query
      disabled: true
    - name: cod_con
      value: GIUL_F_25_SERV_CON_01
      type: query
      disabled: true
    - name: cod_con
      value: GOBB_G_25_CONV_QUA_01
      type: query
      disabled: true
    - name: cod_con
      value: CRIS_G_25_CCS_IST_RA_UNIVERSITÀPOLITECNICADELL_01
      type: query
      disabled: true
    - name: cod_con
      value: LONG_S_25_SERV_CON_POLIMI_01
      type: query
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Contratto (IRIS GW) - Success
    request:
      url: "{{IdemApiUrl}}/contratto_fastsearch_ap.php?cod_con=BOLP_R_25_ACC_ACC_RER_01"
      method: GET
      params:
        - name: cod_con
          value: BOLP_R_25_ACC_ACC_RER_01
          type: query
          description: Codice contratto esistente su IRIS
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Tue, 22 Apr 2025 12:07:10 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "2012"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "Identificativo": "BOLP_R_25_ACC_ACC_RER_01",
              "Tipologia parent": "Altri contratti",
              "Tipologia": "Accordi accessori",
              "Titolo": "Atto di nomina a RESPONSABILE del trattamento ai sensi dell’art. 28 Reg. 2016/679/EU ADDENDUM alle relazioni contrattuali in essere per l’Accordo di Collaborazione (art. 15 legge n. 241/1990 e art. 5, c. 6, Dlgs n. 50/2016 e art. 7, c. 4 DLgs n. 36/2023) sul tema “Zero Invasive Alien Species – Plants Strategy ovvero Zero specie aliene invasive in Emilia-Romagna – Strategia per le specie vegetali”, denominato ZEROIAS-Plants",
              "Durata": 22,
              "Corrispettivo o contributo totale NETTO (EURO)": 0,
              "ID Struttura principale": "186471",
              "Descrizione struttura principale": "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale ",
              "responsabile_proponente": {
                  "titolo_accademico": "Prof.",
                  "cognome": "BOLPAGNI",
                  "nome": "Rossano",
                  "email": "rossano.bolpagni@unipr.it",
                  "codice_fiscale": "BLPRSN76M03B157X",
                  "qualifica": "Ricercatore",
                  "struttura": "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale ",
                  "codice_struttura": "106152",
                  "data_inizio": "16/01/2025",
                  "data_fine": "-"
              },
              "Numero responsabili": 1,
              "Numero partecipanti": 0,
              "Numero resp amministrativi": 1,
              "Numero persone coinvolte": 2,
              "Numero contraenti": 1,
              "responsabili": "Prof. BOLPAGNI Rossano, CF: BLPRSN76M03B157X, Qualifica: Ricercatore, Struttura di afferenza: Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale , Data di inizio: 16/01/2025, Data di fine: -\n",
              "partecipanti": "",
              "resp amministrativi": "Dott.ssa CALAMARI Maria Teresa, CF: CLMMTR66C41G535M, Qualifica: PTA, Struttura di afferenza: U.O. Amministrazione Dipartimentale Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale, Data di inizio: -, Data di fine: -\n",
              "Contraenti": "REGIONE EMILIA-ROMAGNA, SERVIZIO AREE PROTETTE, FORESTE E SVILUPPO DELLA MONTAGNA, CF/PIVA: 02086690373, Sede: VIALE DELLA FIERA, 8 40127 BOLOGNA (BO) ITALIA\n"
          }
